Bug 534191 - (RHQ-1010) need agent prompt command the tell agent to switch to another server
need agent prompt command the tell agent to switch to another server
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On: RHQ-1320
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 10:59 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-10-22 10:59:00 EDT
I would like to add a agent prompt command (or an option to the failover command) to tell the agent to switch over to another server.  I think if I do:

setconfig rhq.agent.server.bind-address=my-new-server

That will tell it to switch, but 1) its ugly and 2) if the ports/transports are different, you have to setconfig those too.

The use case that I needed this was somewhat artificial - I had an agent talking to a server that did not have a plugin deployed there (but other servers in my cloud did).  I want to tell the agent "switch over to server X" where server X is one that I know has the plugin.

I'm sure there are more valid reasons for asking an agent to explicitly switch over - I can see that as a way to temporarily reduce load on a server, or for testing a new server (I have an agent in foreground with a prompt and I want to test the connectivity of a server, I can ask that agent to go switch and talk to that server and test it).

The prompt command I would like is something like this:

failover -s locator-uri-of-new-server

or

failover -s hostname-of-new-server

if <locator-uri-of-new-server> is not a true locator URI (i.e. its just <hostname-of-new-server>), I can assume its just a hostname and default to the agent's current transport, port and transport params.
Comment 1 John Mazzitelli 2008-10-22 16:47:09 EDT
svn rev 1834
Comment 2 John Mazzitelli 2008-10-22 17:28:37 EDT
simple addition to the failover prompt command
Comment 3 Corey Welton 2009-01-06 13:16:51 EST
QA Verified.  I have tested the 'failover' command, using all the available parameters against a variety of postive and negative tests.  
Comment 4 Corey Welton 2009-01-06 13:32:50 EST
Reopening; this feature is dependent on resolution of RHQ-1320
Comment 5 John Mazzitelli 2009-01-06 14:09:05 EST
rev 2562 fixes that dependent issue and thus should close this issue too
Comment 6 Red Hat Bugzilla 2009-11-10 15:21:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1010

Note You need to log in before you can comment on or make changes to this bug.